Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.plugins.simulation
Class SimulationResult

    ru.biosoft.access.DataElementSupport
      |
      +--biouml.plugins.simulation.SimulationResult

public class SimulationResult
extends DataElementSupport

Constructor Summary
`SimulationResult(DataCollection origin, String name)`

Method Summary
`void` | `addInitialValue(Variable var)`
`SimulationResult` | `approximate(double initialTime, double completionTime, double timeIncrement)`
`double` | `getCompletionTime()`
`String` | `getDescription()`
`String` | `getDiagramName()`
`EModel` | `getEModel()`
`double` | `getInitialTime()`
`ArrayList` | `getInitialValues()`
`String` | `getSimulatorName()`
`double[]` | `getTimes()`
`String` | `getTitle()`
`double[][]` | `getValues()`
`Map` | `getVariableMap()`
`boolean` | `isNotFilled()`
`void` | `setCompletionTime(double completionTime)`
`void` | `setDescription(String description)`
`void` | `setDiagramName(String diagramName)`
`void` | `setInitialTime(double initialTime)`
`void` | `setSimulatorName(String simulatorName)`
`void` | `setTimes(double[] times)`
`void` | `setTitle(String title)`
`void` | `setValues(double[][] values)`
`void` | `setVariableMap(Map variableMap)`

Methods inherited from class ru.biosoft.access.DataElementSupport
`getName, getOrigin, registerConstructorWithBadEqual, toString`

Constructor Detail

### SimulationResult

    public SimulationResult(DataCollection origin, String name)

Method Detail

### addInitialValue

    public void addInitialValue(Variable var)

### approximate

    public SimulationResult approximate(double initialTime, double completionTime, double timeIncrement)

### getCompletionTime

    public double getCompletionTime()

### getDescription

    public String getDescription()

### getDiagramName

    public String getDiagramName()

### getEModel

    public EModel getEModel()

### getInitialTime

    public double getInitialTime()

### getInitialValues

    public ArrayList getInitialValues()

### getSimulatorName

    public String getSimulatorName()

### getTimes

    public double[] getTimes()

### getTitle

    public String getTitle()

### getValues

    public double[][] getValues()

### getVariableMap

    public Map getVariableMap()

### isNotFilled

    public boolean isNotFilled()

### setCompletionTime

    public void setCompletionTime(double completionTime)

### setDescription

    public void setDescription(String description)

### setDiagramName

    public void setDiagramName(String diagramName)

### setInitialTime

    public void setInitialTime(double initialTime)

### setSimulatorName

    public void setSimulatorName(String simulatorName)

### setTimes

    public void setTimes(double[] times)

### setTitle

    public void setTitle(String title)

### setValues

    public void setValues(double[][] values)

### setVariableMap

    public void setVariableMap(Map variableMap)

Association Links

to Class biouml.model.dynamics.EModel

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.util.Map

to Class java.util.ArrayList

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM